<div class="bs-docs-section">
  <h1 id="type" class="page-header">Tipografia</h1>

  <!-- Headings -->
  <h2 id="type-headings">Cabeçalhos</h2>
  <p>Todos os cabeçalhos HTML, <code>&lt;h1&gt;</code> até <code>&lt;h6&gt;</code>, estão disponíveis. Classes <code>.h1</code> até <code>.h6</code> também estão disponíveis, para quando você quiser combinar o estilo de fonte de um cabeçalho mas ainda querer seu texto seja exibido em linha.</p>
  <div class="bs-example bs-example-type" data-example-id="simple-headings">
    <table class="table">
      <tbody>
        <tr>
          <td><h1>h1. Cabeçalho Bootstrap</h1></td>
          <td class="type-info">Semi-negrito 36px</td>
        </tr>
        <tr>
          <td><h2>h2. Cabeçalho Bootstrap</h2></td>
          <td class="type-info">Semi-negrito 30px</td>
        </tr>
        <tr>
          <td><h3>h3. Cabeçalho Bootstrap</h3></td>
          <td class="type-info">Semi-negrito 24px</td>
        </tr>
        <tr>
          <td><h4>h4. Cabeçalho Bootstrap</h4></td>
          <td class="type-info">Semi-negrito 18px</td>
        </tr>
        <tr>
          <td><h5>h5. Cabeçalho Bootstrap</h5></td>
          <td class="type-info">Semi-negrito 14px</td>
        </tr>
        <tr>
          <td><h6>h6. Cabeçalho Bootstrap</h6></td>
          <td class="type-info">Semi-negrito 12px</td>
        </tr>
      </tbody>
    </table>
  </div>
{% highlight html %}
<h1>h1. Cabeçalho Bootstrap</h1>
<h2>h2. Cabeçalho Bootstrap</h2>
<h3>h3. Cabeçalho Bootstrap</h3>
<h4>h4. Cabeçalho Bootstrap</h4>
<h5>h5. Cabeçalho Bootstrap</h5>
<h6>h6. Cabeçalho Bootstrap</h6>
{% endhighlight %}

  <p>Crie textos secundários em alguns cabeçalhos com uma tag genérica <code>&lt;small&gt;</code> ou a classe <code>.small</code>.</p>
  <div class="bs-example bs-example-type" data-example-id="small-headings">
    <table class="table">
      <tbody>
        <tr>
          <td><h1>h1. Cabeçalho Bootstrap <small>Texto secundário</small></h1></td>
        </tr>
        <tr>
          <td><h2>h2. Cabeçalho Bootstrap <small>Texto secundário</small></h2></td>
        </tr>
        <tr>
          <td><h3>h3. Cabeçalho Bootstrap <small>Texto secundário</small></h3></td>
        </tr>
        <tr>
          <td><h4>h4. Cabeçalho Bootstrap <small>Texto secundário</small></h4></td>
        </tr>
        <tr>
          <td><h5>h5. Cabeçalho Bootstrap <small>Texto secundário</small></h5></td>
        </tr>
        <tr>
          <td><h6>h6. Cabeçalho Bootstrap <small>Texto secundário</small></h6></td>
        </tr>
      </tbody>
    </table>
  </div>
{% highlight html %}
<h1>h1. Cabeçalho Bootstrap <small>Texto secundário</small></h1>
<h2>h2. Cabeçalho Bootstrap <small>Texto secundário</small></h2>
<h3>h3. Cabeçalho Bootstrap <small>Texto secundário</small></h3>
<h4>h4. Cabeçalho Bootstrap <small>Texto secundário</small></h4>
<h5>h5. Cabeçalho Bootstrap <small>Texto secundário</small></h5>
<h6>h6. Cabeçalho Bootstrap <small>Texto secundário</small></h6>
{% endhighlight %}


  <!-- Body copy -->
  <h2 id="type-body-copy">Exemplo de corpo (body)</h2>
  <p>O padrão global da <code>font-size</code> (tamanho da fonte) do Bootstrap é <strong>14px</strong>, com uma <code>line-height</code> (altura de linha) de <strong>1.428</strong>. Isso é aplicado para o corpo <code>&lt;body&gt;</code> e todos os parágrafos. Além disso, <code>&lt;p&gt;</code> (paragrafos) recebem uma margem inferior (bottom) de metade de seu line-height computado (10px por padrão).</p>
  <div class="bs-example" data-example-id="body-copy">
    <p>Nullam quis risus eget urna mollis ornare vel eu leo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nullam id dolor id nibh ultricies vehicula.</p>
    <p>Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Donec ullamcorper nulla non metus auctor fringilla. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit. Donec ullamcorper nulla non metus auctor fringilla.</p>
    <p>Maecenas sed diam eget risus varius blandit sit amet non magna. Donec id elit non mi porta gravida at eget metus. Duis mollis, est non commodo luctus, nisi erat porttitor ligula, eget lacinia odio sem nec elit.</p>
  </div>
{% highlight html %}
<p>...</p>
{% endhighlight %}

  <!-- Body copy .lead -->
  <h3>Exemplo de corpo destacado (Lead body)</h3>
  <p>Faça um paragrafo em destaque adicionado <code>.lead</code>.</p>
  <div class="bs-example" data-example-id="lead-copy">
    <p class="lead">Vivamus sagittis lacus vel augue laoreet rutrum faucibus dolor auctor. Duis mollis, est non commodo luctus.</p>
  </div>
{% highlight html %}
<p class="lead">...</p>
{% endhighlight %}

  <!-- Using Less -->
  <h3>Contrução com Less</h3>
  <p>A escala tipografica é baseada em duas variáveis Less em <strong>variables.less</strong>: <code>@font-size-base</code> e <code>@line-height-base</code>. A primeira é o tamanho de fonte base (font-size) usado em tudo e a segunda é a altura de linha base (line-height). Nós usamos essas variáveis e uma matemática simples para criar as margens, paddings, e line-heights de todo nossos tipos e mais. Personalize-os e ajuste ao Bootstrap.</p>

  <!-- Inline text elements -->
  <h2 id="type-inline-text">Elementos do texto em linha</h2>
  <h3>Texto marcado</h3>
  <p>Para destacar um pedaço de texto devido sua relevancia em outro contexto, use a tag <code>&lt;mark&gt;</code>.</p>
  <div class="bs-example" data-example-id="simple-mark">
    <p>Você pode usar a tag mark para <mark>destacar</mark> um texto.</p>
  </div>
{% highlight html %}
Você pode usar a tag mark para <mark>destacar</mark> um texto.
{% endhighlight %}


  <h3>Texto deletado</h3>
  <p>Para indicar blocos de texto que foram deletados use a tag <code>&lt;del&gt;</code>.</p>
  <div class="bs-example" data-example-id="simple-del">
    <p><del>Esta linha de texto é para ser tratada como texto excluído.</del></p>
  </div>
{% highlight html %}
<del>Esta linha de texto é para ser tratada como texto excluído.</del>
{% endhighlight %}

  <h3>Texto tachado</h3>
  <p>Para indicar blocos de texto que não são mais relevantes use a tag <code>&lt;s&gt;</code>.</p>
  <div class="bs-example" data-example-id="simple-s">
    <p><s>Esta linha de texto é destinada a ser tratada como não precisa.</s></p>
  </div>
{% highlight html %}
<s>Esta linha de texto é destinada a ser tratada como não precisa.</s>
{% endhighlight %}

  <h3>Texto inserido</h3>
  <p>Para indicar adições ao documento use a tag <code>&lt;ins&gt;</code>.</p>
  <div class="bs-example" data-example-id="simple-ins">
    <p><ins>Essa linha de texto é destinada a ser tratada como uma adição para o documento.</ins></p>
  </div>
{% highlight html %}
<ins>Essa linha de texto é destinada a ser tratada como uma adição para o documento.</ins>
{% endhighlight %}

  <h3>Texto sublinhado</h3>
  <p>Para sublinhar o texto use a tag <code>&lt;u&gt;</code>.</p>
  <div class="bs-example" data-example-id="simple-u">
    <p><u>Essa linha de texto se tornará sublinhada</u></p>
  </div>
{% highlight html %}
<u>Essa linha de texto se tornará sublinhada</u>
{% endhighlight %}

  <p>Faça usoe de padrões HTML destacando tags com estilos leves.</p>

  <h3>Texto pequeno</h3>
  <p>Para e enfatização em linha ou blocos de texto, use a tag <code>&lt;small&gt;</code> para definir texto perto de 85% do manho do pai. Elementos de cabeçalho recebem sua própria <code>font-size</code> (tamanho de fonte) para aninhar elementos <code>&lt;small&gt;</code>.</p>
  <p>Você pode alternativamente usar um elemento em linha com <code>.small</code> no lugar de algum <code>&lt;small&gt;</code>.</p>
  <div class="bs-example" data-example-id="simple-small">
    <p><small>Essa linha de texto é destinada a ser tratada como impressão fina.</small></p>
  </div>
{% highlight html %}
<small>Essa linha de texto é destinada a ser tratada como impressão fina.</small>
{% endhighlight %}


  <h3>Negrito</h3>
  <p>Para enfatizar um trecho de texto com uma font-weight (peso de fonte) mais pesada.</p>
  <div class="bs-example" data-example-id="simple-strong">
    <p>A seguir o trecho de texto é <strong>renderizado como texto em negrito</strong>.</p>
  </div>
{% highlight html %}
<strong>renderiza como texto em negrito</strong>
{% endhighlight %}

  <h3>Itálico</h3>
  <p>Para enfatizar um trecho de texto em itálico.</p>
  <div class="bs-example" data-example-id="simple-em">
    <p>A seguir o trecho de texto é <em>renderizado como texto em itálico</em>.</p>
  </div>
{% highlight html %}
<em>renderizado como texto em itálico</em>
{% endhighlight %}

  <div class="bs-callout bs-callout-info" id="callout-type-b-i-elems">
    <h4>Elementos alternativos</h4>
    <p>Sinta-se livre para usar <code>&lt;b&gt;</code> e <code>&lt;i&gt;</code> em HTML5. <code>&lt;b&gt;</code> é destinado para destacar palavras ou frases sem transmitir importância adicional enquanto <code>&lt;i&gt;</code> é principalmente para voz, termos técnicos, etc.</p>
  </div>

  <h2 id="type-alignment">Classes de alinhamento</h2>
  <p>Realinhe texto facilmente para componentes com classes de alinhamento de texto.</p>
  <div class="bs-example" data-example-id="text-alignment">
    <p class="text-left">Texto alinhado à esquerda.</p>
    <p class="text-center">Texto alinhado ao centro.</p>
    <p class="text-right">Texto alinhado à direita.</p>
    <p class="text-justify">Texto justificado.</p>
    <p class="text-nowrap">Texto sem alinhamento.</p>
  </div>
{% highlight html %}
<p class="text-left">Texto alinhado à esquerda.</p>
<p class="text-center">Texto alinhado ao centro.</p>
<p class="text-right">Texto alinhado à direita.</p>
<p class="text-justify">Texto justificado.</p>
<p class="text-nowrap">Texto sem alinhamento.</p>
{% endhighlight %}

  <h2 id="type-transformation">Classes de transformação</h2>
  <p>Transforme textos em componentes com classes capitalização de texto.</p>
  <div class="bs-example" data-example-id="text-capitalization">
    <p class="text-lowercase">Texto em minúsculo.</p>
    <p class="text-uppercase">Texto em maiúsculo.</p>
    <p class="text-capitalize">Texto capitalizado.</p>
  </div>
{% highlight html %}
<p class="text-lowercase">Texto em minúsculo.</p>
<p class="text-uppercase">Texto em maiúsculo.</p>
<p class="text-capitalize">Texto capitalizado.</p>
{% endhighlight %}

  <!-- Abbreviations -->
  <h2 id="type-abbreviations">Abreviações</h2>
  <p>Implementação estilizada de HTML do elemento <code>&lt;abbr&gt;</code> para abreviações e siglas para mostrar a versão expandida em hover. Abreviação com um atributo <code>title</code> tem uma clara borda inferior pontilhada e um cursor de ajuda no hover, fornecendo contexto adicional no hover e para usuários de tecnologias assistivas.</p>

  <h3>Abreviação básica</h3>
  <div class="bs-example" data-example-id="simple-abbr">
    <p>Uma abreviação da palavras número é <abbr title="número">num</abbr>.</p>
  </div>
{% highlight html %}
<abbr title="número">num</abbr>
{% endhighlight %}

  <h3>Iniciais</h3>
  <p>Adicione <code>.initialism</code> para uma abreviação com font-size ligeiramente menor.</p>
  <div class="bs-example" data-example-id="simple-initialism">
    <p><abbr title="HyperText Markup Language" class="initialism">HTML</abbr> é a melhor coisa desde o pão fatiado.</p>
  </div>
{% highlight html %}
<abbr title="HyperText Markup Language" class="initialism">HTML</abbr>
{% endhighlight %}


  <!-- Addresses -->
  <h2 id="type-addresses">Endereços</h2>
  <p>Informações de contato presentes para o ancestral mais próximo ou o corpo inteiro de trabalho. Preserve formatação ao finalizar todas as linhas com <code>&lt;br&gt;</code>.</p>
  <div class="bs-example" data-example-id="simple-address">
    <address>
      <strong>Twitter, Inc.</strong><br>
      1355 Market Street, Suite 900<br>
      San Francisco, CA 94103<br>
      <abbr title="Phone">P:</abbr> (123) 456-7890
    </address>
    <address>
      <strong>Nome completo</strong><br>
      <a href="mailto:#">first.last@example.com</a>
    </address>
  </div>
{% highlight html %}
<address>
  <strong>Twitter, Inc.</strong><br>
  1355 Market Street, Suite 900<br>
  San Francisco, CA 94103<br>
  <abbr title="Phone">P:</abbr> (123) 456-7890
</address>

<address>
  <strong>Nome completo</strong><br>
  <a href="mailto:#">first.last@example.com</a>
</address>
{% endhighlight %}


  <!-- Blockquotes -->
  <h2 id="type-blockquotes">Blockquotes (bloco de citações)</h2>
  <p>Para blocos de citações de conteúdo de outra fonte dentro de seu documento.</p>

  <h3>Blockquote padrão</h3>
  <p>Envolva <code>&lt;blockquote&gt;</code> ao redor de qualquer <abbr title="HyperText Markup Language">HTML</abbr> como uma citação. Para citações diretas, nós recomendamos um <code>&lt;p&gt;</code>.</p>
  <div class="bs-example" data-example-id="simple-blockquote">
    <blockquote>
      <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>
    </blockquote>
  </div>
{% highlight html %}
<blockquote>
  <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>
</blockquote>
{% endhighlight %}

  <h3>Opções de blockquote</h3>
  <p>Estilo e mudanças de conteúdo para variações simples em um norma <code>&lt;blockquote&gt;</code>.</p>

  <h4>Nomeando uma fonte</h4>
  <p>Adicione um <code>&lt;footer&gt;</code> (rodapé) para identificar uma fonte. Envolva o nome da fonte do trabalho em <code>&lt;cite&gt;</code>.</p>
  <div class="bs-example" data-example-id="blockquote-cite">
    <blockquote>
      <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>
      <footer>Alguém famoso em <cite title="Título da fonte">Título da fonte</cite></footer>
    </blockquote>
  </div>
{% highlight html %}
<blockquote>
  <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>
  <footer>Alguém famoso em <cite title="Título da fonte">Título da fonte</cite></footer>
</blockquote>
{% endhighlight %}

  <h4>Exibição alternativa</h4>
  <p>Adicione <code>.blockquote-reverse</code> para uma caixa de citação (blockquote) com conteúdo alinhado à direita.</p>
  <div class="bs-example" style="overflow: hidden;" data-example-id="blockquote-reverse">
    <blockquote class="blockquote-reverse">
      <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>
      <footer>Alguém famoso em <cite title="Título da fonte">Título da fonte</cite></footer>
    </blockquote>
  </div>
{% highlight html %}
<blockquote class="blockquote-reverse">
  ...
</blockquote>
{% endhighlight %}


  <!-- Lists -->
  <h2 id="type-lists">Listas</h2>

  <h3>Não-ordenada</h3>
  <p>Uma lista de itens em que a ordem <em>não</em> tem importância expor.</p>
  <div class="bs-example" data-example-id="simple-ul">
    <ul>
      <li>Lorem ipsum dolor sit amet</li>
      <li>Consectetur adipiscing elit</li>
      <li>Integer molestie lorem at massa</li>
      <li>Facilisis in pretium nisl aliquet</li>
      <li>Nulla volutpat aliquam velit
        <ul>
          <li>Phasellus iaculis neque</li>
          <li>Purus sodales ultricies</li>
          <li>Vestibulum laoreet porttitor sem</li>
          <li>Ac tristique libero volutpat at</li>
        </ul>
      </li>
      <li>Faucibus porta lacus fringilla vel</li>
      <li>Aenean sit amet erat nunc</li>
      <li>Eget porttitor lorem</li>
    </ul>
  </div>
{% highlight html %}
<ul>
  <li>...</li>
</ul>
{% endhighlight %}

  <h3>Ordenada</h3>
  <p>Uma lista de itens em que a ordem <em>tem</em> importância em expor.</p>
  <div class="bs-example" data-example-id="simple-ol">
    <ol>
      <li>Lorem ipsum dolor sit amet</li>
      <li>Consectetur adipiscing elit</li>
      <li>Integer molestie lorem at massa</li>
      <li>Facilisis in pretium nisl aliquet</li>
      <li>Nulla volutpat aliquam velit</li>
      <li>Faucibus porta lacus fringilla vel</li>
      <li>Aenean sit amet erat nunc</li>
      <li>Eget porttitor lorem</li>
    </ol>
  </div>
{% highlight html %}
<ol>
  <li>...</li>
</ol>
{% endhighlight %}

  <h3>Não estilizado</h3>
  <p>Remova o padrão da <code>list-style</code> (estilo da lista) e margem esquerda na lista de itens (Apenas para filhos imediatos). <strong>Isso apenas se aplica a filhos imediatos na lista de itens</strong>, isso significa que você precisará adicionar a classe para qualquer lista alinhada também.</p>
  <div class="bs-example" data-example-id="unstyled-list">
    <ul class="list-unstyled">
      <li>Lorem ipsum dolor sit amet</li>
      <li>Consectetur adipiscing elit</li>
      <li>Integer molestie lorem at massa</li>
      <li>Facilisis in pretium nisl aliquet</li>
      <li>Nulla volutpat aliquam velit
        <ul>
          <li>Phasellus iaculis neque</li>
          <li>Purus sodales ultricies</li>
          <li>Vestibulum laoreet porttitor sem</li>
          <li>Ac tristique libero volutpat at</li>
        </ul>
      </li>
      <li>Faucibus porta lacus fringilla vel</li>
      <li>Aenean sit amet erat nunc</li>
      <li>Eget porttitor lorem</li>
    </ul>
  </div>
{% highlight html %}
<ul class="list-unstyled">
  <li>...</li>
</ul>
{% endhighlight %}

  <h3>Em linha</h3>
  <p>Coloque todos os itens da lista em uma única linha com <code>display: inline-block;</code> e algum espaçamento aparente.</p>
  <div class="bs-example" data-example-id="list-inline">
    <ul class="list-inline">
      <li>Lorem ipsum</li>
      <li>Phasellus iaculis</li>
      <li>Nulla volutpat</li>
    </ul>
  </div>
{% highlight html %}
<ul class="list-inline">
  <li>...</li>
</ul>
{% endhighlight %}

  <h3>Descrição</h3>
  <p>Uma lista de termos como suas descrições associadas.</p>
  <div class="bs-example" data-example-id="simple-dl">
    <dl>
      <dt>Lista de descrição</dt>
      <dd>Uma lista de descrição é perfeita para definição de termos.</dd>
      <dt>Euismod</dt>
      <dd>Vestibulum id ligula porta felis euismod semper eget lacinia odio sem nec elit.</dd>
      <dd>Donec id elit non mi porta gravida at eget metus.</dd>
      <dt>Malesuada porta</dt>
      <dd>Etiam porta sem malesuada magna mollis euismod.</dd>
    </dl>
  </div>
{% highlight html %}
<dl>
  <dt>...</dt>
  <dd>...</dd>
</dl>
{% endhighlight %}

  <h4>Descrição horizontal</h4>
  <p>Faça termos e descrições em <code>&lt;dl&gt;</code> alinhando lado a lado. Comece empilhando como padrão <code>&lt;dl&gt;</code>s, mas quando a navbar (barra de navegação) aumentar, assim como estes.</p>
  <div class="bs-example" data-example-id="horizontal-dl">
    <dl class="dl-horizontal">
      <dt>Listas de descrição</dt>
      <dd>Uma lista descrição é perfeita para definição de termos.</dd>
      <dt>Euismod</dt>
      <dd>Vestibulum id ligula porta felis euismod semper eget lacinia odio sem nec elit.</dd>
      <dd>Donec id elit non mi porta gravida at eget metus.</dd>
      <dt>Malesuada porta</dt>
      <dd>Etiam porta sem malesuada magna mollis euismod.</dd>
      <dt>Felis euismod semper eget lacinia</dt>
      <dd>Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus.</dd>
    </dl>
  </div>
{% highlight html %}
<dl class="dl-horizontal">
  <dt>...</dt>
  <dd>...</dd>
</dl>
{% endhighlight %}

  <div class="bs-callout bs-callout-info" id="callout-type-dl-truncate">
    <h4>Auto-truncado</h4>
    <p>Descrição listas horizontais truncarão termos que são que são muito grandes para caber na coluna esquerda com <code>text-overflow</code>. Em janelas de exibição mais estreitas, eles mudarão para o layout de empilhamento padrão.</p>
  </div>
</div>
